## nurpawiki 1.2.2

=== Makefile ===

FILES=version.ml config.ml types.ml util.ml database.ml database_upgrade.ml database_schema.ml services.ml privileges.ml html_util.ml session.ml user_editor.ml page_revisions.ml nurpawiki.ml scheduler.ml history.ml about.ml

CAMLC = ocamlfind ocamlc -thread -g $(LIB)
CAMLOPT = ocamlfind ocamlopt -thread  $(LIB)
CAMLDOC = ocamlfind ocamldoc $(LIB)
CAMLDEP = ocamlfind ocamldep
LIB = -package threads,netstring,calendar,extlib,postgresql,ocsigen

OBJS = $(FILES:.ml=.cmo)

CMA = nurpawiki.cma

all: $(CMA) META

$(CMA): $(OBJS)
	$(CAMLC) -a -o $(CMA) $(OBJS)

.SUFFIXES:
.SUFFIXES: .ml .mli .cmo .cmi .cmx

.PHONY: doc install

NWIKI_VER=$(shell cat VERSION)
version.ml:version.ml.in VERSION
	echo $(NWIKI_VER)
	cat version.ml.in | \
	    sed -e "s|%_NURPAWIKI_VERSION_%|$(NWIKI_VER)|g" > version.ml

META:META.in VERSION
	cat META.in | \
	    sed -e "s|%_NURPAWIKI_VERSION_%|$(NWIKI_VER)|g" > META

.ml.cmo:
	$(CAMLC) -c $<

.mli.cmi:
	$(CAMLC) -c $<
.ml.cmx:
	$(CAMLOPT) $(PP) -c $<

doc:
#	$(CAMLDOC) -d doc -html db.mli

clean:
	-rm -f *.cm[ioxa] *~ $(NAME)

install:
	ocamlfind install nurpawiki META $(CMA)

depend:
	$(CAMLDEP) $(PP) $(LIB) $(FILES:.ml=.mli) $(FILES) > .depend

## nurpawiki 1.2.3

=== Makefile ===
LIB := -package threads,netstring,calendar,extlib,postgresql,ocsigen
CAMLC := ocamlfind ocamlc -thread -g $(LIB)
CAMLOPT := ocamlfind ocamlopt -thread  $(LIB)
CAMLDOC := ocamlfind ocamldoc $(LIB)
CAMLDEP := ocamlfind ocamldep
CAMLBUILDOPTS := -ocamlc '$(CAMLC)' -ocamlopt '$(CAMLOPT)'
CAMLBUILD := ocamlbuild $(CAMLBUILDOPTS)

CMA := nurpawiki.cma
CMXA := nurpawiki.cmxa
CMXS := nurpawiki.cmxs

TARGETS := $(CMA)
ifneq ($(shell which ocamlopt),)
  TARGETS += $(CMXA)
  ifneq ($(wildcard $(shell ocamlc -where)/dynlink.cmxa),)
    TARGETS += $(CMXS)
  endif
endif

all: $(TARGETS) META

$(CMA): version.ml
	$(CAMLBUILD) -classic-display -ocamlc '$(CAMLC)' $@

$(CMXA): version.ml
	$(CAMLBUILD) -classic-display -ocamlopt '$(CAMLOPT)' $@

%.cmxs: %.cmxa
	$(CAMLOPT) -shared -linkall -o _build/$@ _build/$<

.PHONY: $(CMA) doc install

NWIKI_VER=$(shell cat VERSION)
version.ml:version.ml.in VERSION
	echo $(NWIKI_VER)
	sed -e "s|%_NURPAWIKI_VERSION_%|$(NWIKI_VER)|g" version.ml.in > version.ml

META:META.in VERSION
	sed -e "s|%_NURPAWIKI_VERSION_%|$(NWIKI_VER)|g" META.in > META

doc:
#	$(CAMLDOC) -d doc -html db.mli

clean:
	-rm -Rf _build META version.ml

install:
	ocamlfind install nurpawiki META $(foreach T,$(TARGETS),_build/$(T))

=== test/postgresql/Makefile ===

CAMLC = ocamlfind ocamlc -thread -g $(LIB)
LIB = -package extlib,postgresql -linkpkg

all:
	$(CAMLC) $(LIB) psqltest.ml -o psqltest

=== debian/changelog ===
nurpawiki (1.2.3-5) unstable; urgency=low

  * Replace ocsigen_ext by ocsigen.ext in conf templates
  * Build native plugin only if natdynlink is present
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Apr 2011 12:34:19 +0200

nurpawiki (1.2.3-4) unstable; urgency=low

  * debian/patches:
    - 0003-Port-to-Ocsigen-1.3.patch
    - 0004-Install-.a-file-along-with-.cmxa.patch
  * debian/control:
    - bump versioned build-dependency on libocsigen-ocaml-dev
    - bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Mar 2010 10:22:25 +0100

nurpawiki (1.2.3-3) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9
  * Switch packaging to source format 3.0 (quilt)
  * Change build-dependency from ocsigen-dev to libocsigen-ocaml-dev,
    and add explicit dependency to ocsigen for the binary package

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Nov 2009 16:25:18 +0100

nurpawiki (1.2.3-2) unstable; urgency=low

  * Add some patches:
    - Use-proper-connection-dependent-escaping.patch
    - Add-native-archive-to-META.patch
  * Add build-dependency to quilt, add README.source
  * Update the versioned dependency to libpostgresql-ocaml-dev

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Sep 2009 23:52:52 +0200

nurpawiki (1.2.3-1) unstable; urgency=low

  * New Upstream Version:
    - remove 0001-Build-native-plugin.patch
  * debian/control:
    - remove dependency to quilt
    - update runtime dependencies
    - update my e-mail address and remove DMUA
  * Remove README.source, there is no patches anymore

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Sep 2009 23:06:08 +0200

nurpawiki (1.2.2-4) unstable; urgency=low

  * Patch upstream to build and install native plugin
  * Add dependency to quilt and README.source
  * Update Standards-Version to 3.8.2
  * Add versioned dependency to ocsigen-dev to ease OCaml 3.11.1
    transition

 -- Stephane Glondu <steph@glondu.net>  Thu, 09 Jul 2009 23:42:46 +0200

nurpawiki (1.2.2-3) unstable; urgency=low

  * Add debian/gbp.conf to force use of pristine-tar
  * Update Standards-Version to 3.8.1 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Wed, 01 Apr 2009 23:28:50 +0200

nurpawiki (1.2.2-2) experimental; urgency=low

  * Fix generation of OCaml ABI dependency

 -- Stephane Glondu <steph@glondu.net>  Fri, 12 Dec 2008 11:25:42 +0100

nurpawiki (1.2.2-1) experimental; urgency=low

  * Initial release (Closes: #500726)

 -- Stephane Glondu <steph@glondu.net>  Fri, 14 Nov 2008 13:40:40 +0100

=== debian/control ===
Source: nurpawiki
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9.5~),
 libocsigen-ocaml-dev (>= 1.3),
 libcalendar-ocaml-dev (>= 2.01.1-6~),
 libextlib-ocaml-dev (>= 1.5.1-5~),
 libpostgresql-ocaml-dev (>= 1.12.1-2~),
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.9.2
Section: web
Homepage: http://code.google.com/p/nurpawiki/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/nurpawiki.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/nurpawiki.git

Package: nurpawiki
Architecture: any
Depends:
 ocsigen,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 postgresql
Description: Wiki with integrated to-do list and scheduler
 Nurpawiki is a personal information manager (PIM) application that
 combines a wiki, a to-do list and a simple scheduler to help you get
 organized. It aims to ease note taking and action planning. Actions
 (to-dos) are always associated with notes or plans (wiki pages).
 .
 Nurpawiki is available as an Eliom module for the Ocsigen web server,
 and uses PostgreSQL as backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

# For ocamlfind
export OCAMLFIND_DESTDIR := debian/nurpawiki/usr/lib/ocsigen

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	make
ifeq ($(OCAML_NATDYNLINK),yes)
	make nurpawiki.cmxs
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	install -d $(OCAMLFIND_DESTDIR)
	make install

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/nurpawiki/ http://nurpawiki\.googlecode\.com/files/nurpawiki-(.*)\.tar\.gz

## nurpawiki 1.2.4

=== Makefile ===
CAMLBUILD := ocamlbuild -use-ocamlfind -classic-display

CMA := src/nurpawiki.cma
CMXA := src/nurpawiki.cmxa
CMXS := src/nurpawiki.cmxs

TARGETS := $(CMA)
ifneq ($(shell command -v ocamlopt),)
  TARGETS += $(CMXA)
  ifneq ($(wildcard $(shell ocamlc -where)/dynlink.cmxa),)
    TARGETS += $(CMXS)
  endif
endif

.PHONY: all install

all: $(TARGETS) META

$(CMA): src/version.ml
	$(CAMLBUILD) $@

$(CMXA): src/version.ml
	$(CAMLBUILD) $@

$(CMXS): src/version.ml
	$(CAMLBUILD) $@

NWIKI_VER=$(shell cat VERSION)

src/version.ml: src/version.ml.in VERSION
	sed -e "s|%_NURPAWIKI_VERSION_%|$(NWIKI_VER)|g" $< > $@

META: META.in VERSION
	sed -e "s|%_NURPAWIKI_VERSION_%|$(NWIKI_VER)|g" $< > $@

clean:
	$(CAMLBUILD) -clean
	-rm -Rf _build META src/version.ml

install:
	ocamlfind install nurpawiki META $(foreach T,$(TARGETS),_build/$(T) $(if $(findstring .cmxa,$(T)),_build/$(T:.cmxa=.a)))

=== debian/changelog ===
nurpawiki (1.2.4-4build30) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:52:50 +0100

nurpawiki (1.2.4-4build29) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:51:35 +0200

nurpawiki (1.2.4-4build28) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Sep 2025 08:21:53 +0200

nurpawiki (1.2.4-4build27) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:38:31 +0200

nurpawiki (1.2.4-4build26) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 11 May 2025 21:29:10 +0200

nurpawiki (1.2.4-4build25) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:49:00 +0100

nurpawiki (1.2.4-4build24) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Mar 2025 07:37:52 +0100

nurpawiki (1.2.4-4build23) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:56:38 +0100

nurpawiki (1.2.4-4build22) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 06:42:12 +0100

nurpawiki (1.2.4-4build21) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:18:39 +0100

nurpawiki (1.2.4-4build20) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:34:13 +0100

nurpawiki (1.2.4-4build19) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:44:36 +0100

nurpawiki (1.2.4-4build18) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:06:44 +0100

nurpawiki (1.2.4-4build17) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 08:58:02 +0200

nurpawiki (1.2.4-4build16) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Sep 2024 08:46:17 +0200

nurpawiki (1.2.4-4build15) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 16:54:02 +0200

nurpawiki (1.2.4-4build14) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 18:02:39 +0200

nurpawiki (1.2.4-4build13) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:52:28 +0200

nurpawiki (1.2.4-4build12) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2024 10:12:41 +0200

nurpawiki (1.2.4-4build11) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:56:49 +0200

nurpawiki (1.2.4-4build10) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2024 09:05:30 +0200

nurpawiki (1.2.4-4build9) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 09:35:37 +0200

nurpawiki (1.2.4-4build8) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jul 2024 16:16:11 +0200

nurpawiki (1.2.4-4build7) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jun 2024 06:55:45 +0200

nurpawiki (1.2.4-4build6) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 09:52:54 +0200

nurpawiki (1.2.4-4build5) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2024 23:44:55 +0200

nurpawiki (1.2.4-4build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 19:42:17 +0100

nurpawiki (1.2.4-4build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 07:59:36 +0100

nurpawiki (1.2.4-4build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:29:07 +0100

nurpawiki (1.2.4-4build1) noble; urgency=medium

  * Rebuild against 'new OCAML ABIs'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 07:57:19 +0100

nurpawiki (1.2.4-4) unstable; urgency=medium

  * Fix compilation with ocsigenserver 5.1.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Sep 2023 05:54:58 +0200

nurpawiki (1.2.4-3) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Bump standards-version to 4.6.2

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 10:35:41 +0200

nurpawiki (1.2.4-2) unstable; urgency=medium

  [ Stéphane Glondu]
  * Add explicitly libocamlnet-ocaml-dev to Build-Depends
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update pattern for GitHub archive URLs

 -- Stéphane Glondu <glondu@debian.org>  Thu, 24 Feb 2022 02:01:19 +0100

nurpawiki (1.2.4-1) unstable; urgency=medium



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

# For ocamlfind
export OCAMLFIND_DESTDIR := debian/nurpawiki/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml --no-parallel

override_dh_auto_install:
	install -d $(OCAMLFIND_DESTDIR)
	make install

=== debian/watch ===
version=4
https://github.com/glondu/nurpawiki/tags .*/v?([0-9.]+)\.tar\.gz
